/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';
.frist-anfrage-antwort-modal {
  h2 {
    margin-block-start: 32px !important;
  }
  h2:first-child {
    margin-bottom: 24px;
  }
  .infos-frist-anfrage {
    overflow: hidden;
    dl {
      display: flex;
      flex-flow: row;
      flex-wrap: wrap;
      margin-bottom: 1.78em;
      dt {
        flex: 0 0 40%;
        text-overflow: ellipsis;
        overflow: hidden;
        font-weight: normal;
      }
      dt::after {
        content: ':';
      }
      dd {
        flex: 0 0 60%;
        text-align: left;
        text-overflow: ellipsis;
        overflow: hidden;
        margin-bottom: 8px;
      }
    }
  }
  .ant-form-item.ant-form-item-has-error {
    border-left: 6px solid @platform-red1;
    margin-left: 0 !important;
  }

  .anfrage-antwort-form-wrapper {
    h2 {
      margin-bottom: 7px;
    }
    .required-info {
      margin-bottom: 32px;
    }
    .ant-row.ant-form-item {
      margin-top: 0;
    }
    .ant-form-item {
      margin-bottom: 32px;
    }
    .ant-radio-wrapper-in-form-item {
      margin-bottom: 16px;
    }

    .ant-radio-wrapper-in-form-item:last-child {
      margin-bottom: 0;
    }
  }
}
